close all
clear all
clc

fc=1000;

E=210000;
g=9.81;

m=0.4;
L=0.3;
d=1.2e-3;
T0=50;
e=0.004;
csi=0.09;

n=3000;

w=2*pi*n/60;
%w=5000;
A=pi/4*d^2;
w0=sqrt(2*T0/m/L);
r=w/w0;
mu=E*A/2/T0;

n1=1000;                                %Cicli da scartare
n2=6000;                                %Successivi cili da considerare
T_for=2*pi/w;                           %Periodo dell'azione forzante
s_start=floor(n1*T_for*fc);             %Primo campine da considerare
s_stop=ceil((n1+n2)*T_for*fc);          %Ultimo campione da considerare
s_for=T_for*fc;                         %Numero di campioni in un periodo dell'azione forzante


Tf=(n1+n2+1)*T_for;                     %Durata delle simulazioni
Tc=1/fc;                                %Periodo di campionamento
nS=Tf/Tc;                               %Numero di Campioni di ogni simulazio

sim('eq_2',Tf);

figure
subplot(1,3,1)
%plot(x(s_start:s_stop,2),xp(s_start:s_stop,2))
hold on
for i = n1:n1+n2
    nP=round(s_for*i);
    plot(x(nP,2),xp(nP,2),'o','Markersize',1);
    hold on  
end

subplot(1,3,2)
plot(y(s_start:s_stop,2),yp(s_start:s_stop,2))
hold on
for i = n1:n1+n2
    nP=round(s_for*i);
    plot(y(nP,2),yp(nP,2),'o','Markersize',4);
    hold on  
end

subplot(1,3,3)
%plot(x(s_start:s_stop,2),y(s_start:s_stop,2))
hold on
for i = n1:n1+n2
    nP=round(s_for*i);
    plot(x(nP,2),y(nP,2),'o','Markersize',4);
    hold on  
end